EDIT - feature request #6926

First call of NamedAreaSelectionDialog needs too much time
08/30/2017 02:34 PM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

The first call of the namedAreaSelectionDialog needs quite long. This is because it loads all terms, while no selection is used at this
moment

Related issues:
Related to EDIT - bug #6955: NamedAreaSelection Dialog needs to be adapted to... Closed
Related to EDIT - bug #7188: namedArea selection dialog needs too long to set... Closed

Associated revisions

Revision af969685 - 08/30/2017 03:07 PM - Katja Luther

fix #6926: remove initModel from constructor speeds up the opening of namedAreaSelectionDialog

History

#1 - 08/30/2017 03:07 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|af969685c98d7f521384{5735da697ccdae67dbe.

#2 - 08/30/2017 03:08 PM - Katja Luther
- Status changed from Resolved to New

- % Done changed from 50 to 0

this seems to be fixed by removing the initModel() call from the AbstractFilteredCdmResourceSelectionDialog-Constructor

#3 - 08/30/2017 03:09 PM - Katja Luther
- Status changed from New to Resolved

- Target version changed from Unassigned CDM tickets to Release 4.10

#4 - 08/30/2017 03:09 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

please review

#5 - 09/15/2017 03:54 PM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

It was still about 6sec when choosing a new country for a FieldUnit.

But maybe it is faster than before. | don't remember how long it took back then.

#6 - 09/18/2017 03:04 PM - Katja Luther

- Status changed from Feedback to In Progress
- Target version changed from Release 4.10 to Release 4.11

now the first opening of the selection dialog is faster, but searching for the first pattern still needs some time. For the namedAreaSelection dialog
there is still no uuidAndTitleCache service method to get the corresponding named areas.

I move this to 4.11 to solve the problem completely.

#7 - 09/19/2017 08:37 AM - Katja Luther

- Target version changed from Release 4.11 to Release 4.10
keep this in 4.10 because starting is faster, but create a new ticket for fixing completely

#8 - 09/19/2017 08:37 AM - Katja Luther

- Status changed from In Progress to Resolved

#9 - 09/19/2017 08:37 AM - Katja Luther

- Status changed from Resolved to Closed

#10 - 09/19/2017 08:40 AM - Katja Luther
- Related to bug #6955: NamedAreaSelection Dialog needs to be adapted to filtered getUuidAndTitleCache loading added

#11 - 01/16/2018 01:01 PM - Katja Luther

- Related to bug #7188: namedArea selection dialog needs too long to set the selected area added
